Contenu | Rechercher | Menus

Annonce

Les adresses laposte.net ne permettent pas de recevoir nos emails. Vous êtes invité à changer d'adresse dans vos paramètres de compte à votre prochaine connexion.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 16/02/2013, à 18:12

rousselj

Subversion

Depuis le passage à 12.04 svnadmin (du paquet subversion d'Ubuntu) me répond :

svnadmin: error while loading shared libraries: libdb-4.6.so: cannot open shared object file: No such file or directory

Effectivement cette librairie n'existe pas (n'est pas accessible) depuis les paquets Ubuntu.

Quelqu'un a-t-il une idée ?

Hors ligne

#2 Le 16/02/2013, à 18:28

louis94

Re : Subversion

Bonjour,

Sous la 12.10 :

bash$ apt-file find libdb-
db4.7-util: /usr/lib/libdb-4.7.so
db4.8-util: /usr/lib/libdb-4.8.so
[...]
libdb5.1: /usr/lib/x86_64-linux-gnu/libdb-5.1.so
libdb5.1-dev: /usr/lib/x86_64-linux-gnu/libdb-5.1.a
libdb5.3: /usr/lib/x86_64-linux-gnu/libdb-5.3.so
[...]

Je vois que le paquet libdb-4.6 n'existe que pour Lucid. En outre, Subversion sous la 12.04 dépend de db4.8-util. Est-ce que subversion est à jour ? Normalement la version est 4.6.17. N'as-tu pas forcé sa version ?

Louis

Hors ligne

#3 Le 16/02/2013, à 19:02

rousselj

Re : Subversion

C'est la version standart des paquets Ubuntu 12.04. D'ailleurs svn donne la même réponse d'erreur.
J'ai pu résoudre mon problème depuis une autre machine sous 12.10 où subversion fonctionne parfaitement.
Merci de ta réponse.

Hors ligne